package jugs.javafx.c_tables;

import java.time.LocalDate;


/**
 * Beispielprogramm für JavaFX-Schulung 
 * 
 * @author Michael Inden
 * 
 * Copyright 2015 by Michael Inden 
 */
public class PersonEx
{
    /* final */ String firstName;

    final String       lastName;

    /* final */ Gender gender;

    /* final */ LocalDate    birthday;

    public PersonEx(final String firstName, final String lastName, final Gender gender, final LocalDate birthday)
    {
        this.firstName = firstName;
        this.lastName = lastName;
        this.gender = gender;
        this.birthday = birthday;
    }

    public String getFirstName()
    {
        return firstName;
    }

    public void setFirstName(final String firstName)
    {
        this.firstName = firstName;
    }

    public String getLastName()
    {
        return lastName;
    }

    public Gender getGender()
    {
        return gender;
    }

    public void setGender(final Gender gender)
    {
        this.gender = gender;
    }

    public LocalDate getBirthday()
    {
        return birthday;
    }
    
    public void setBirthday(final LocalDate birthday)
    {
        this.birthday = birthday;
    }
}
