package jugs.javafx.a_basics;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.RadioButton;
import javafx.scene.control.TextArea;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;


/**
 * Beispielprogramm für JavaFX-Schulung
 * <br>
 * <b>Neu in Auflage 2</b>
 * 
 * @author Michael Inden
 * 
 * Copyright 2015 by Michael Inden 
 */
public class Exercise1a_FirstJavaFxExample extends Application {

	final ToggleGroup group = new ToggleGroup();
	final RadioButton rb1 = new RadioButton(" => ");
	// TODO
	
	final Label label = new Label("Label");
	// TODO
	
	public static void main(final String[] args) {

		launch(Exercise1a_FirstJavaFxExample.class, args);
	}

	@Override
	public void start(final Stage stage) throws Exception {

		// Ähnlich wie JFrame ContentPane, Content aufbauen
		final HBox rootPane = new HBox();
		final Scene scene = new Scene(rootPane, 750, 300);		

		// Mit Content befüllen
		final VBox vboxLeft = createCssInputPane();
		
		// Zu stylende Nodes
		rb1.setToggleGroup(group);
		rb1.setSelected(true);
		// TODO
		
		final GridPane gridPane = new GridPane();
		gridPane.setPadding(new Insets(7)); 
		gridPane.setHgap(5);
		gridPane.setVgap(5);

		gridPane.add(rb1, 0, 0);
		// TODO
		
		gridPane.add(label, 1, 0);
		// TODO
		
		rootPane.setPadding(new Insets(10));
		rootPane.getChildren().addAll(vboxLeft, gridPane);
		stage.setScene(scene);

		// Titel und Resizable-Eigenschaft setzen
		stage.setTitle("FirstJavaFxExample");
		stage.setResizable(true);

		// Positionierung und Sichtbarkeit
		stage.centerOnScreen();
		stage.show();
	}

    private VBox createCssInputPane()
    {
        final VBox vboxLeft = new VBox(5);
		vboxLeft.getChildren().add(new Label("CSS:"));
		final TextArea cssEditor = new TextArea();
		cssEditor.setMaxWidth(400);
		vboxLeft.getChildren().add(cssEditor);
		final Button applyBtn = new Button("Apply");
		vboxLeft.getChildren().add(applyBtn);
        return vboxLeft;
    }
}
